import request from '@/utils/request'

// 查询药品产地列表
export function listPlace(query) {
  return request({
    url: '/drugs/place/list',
    method: 'get',
    params: query
  })
}

// 查询药品产地详细
export function getPlace(id) {
  return request({
    url: '/drugs/place/' + id,
    method: 'get'
  })
}

// 新增药品产地
export function addPlace(data) {
  return request({
    url: '/drugs/place',
    method: 'post',
    data: data
  })
}

// 修改药品产地
export function updatePlace(data) {
  return request({
    url: '/drugs/place',
    method: 'put',
    data: data
  })
}

// 删除药品产地
export function delPlace(id) {
  return request({
    url: '/drugs/place/' + id,
    method: 'delete'
  })
}

// 导出药品产地
export function exportPlace(query) {
  return request({
    url: '/drugs/place/export',
    method: 'get',
    params: query
  })
}